<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimer4: X:/kmTimer4.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimer4
   </div>
   <div id="projectbrief">kmTimer4 library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_timer4_8h_source.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">X:/kmTimer4.h</div></div>
</div><!--header-->
<div class="contents">
<a href="km_timer4_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/*</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">This is an independent project of an individual developer. Dear PVS-Studio, please check it.</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">PVS-Studio Static Code Analyzer for C, C++, C#, and Java: http://www.viva64.com</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">*/</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="preprocessor">#ifndef KMTIMER4_H_</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="preprocessor">#define KMTIMER4_H_</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="preprocessor">#ifdef KM_DOXYGEN</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">#define TIMSK4</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="preprocessor">#define COM4C0</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="preprocessor">#endif </span><span class="comment">/* KM_DOXYGEN */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span><span class="preprocessor">#ifdef TIMSK4</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span><span class="preprocessor">#include &lt;stdbool.h&gt;</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span><span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="preprocessor">#include &lt;stdlib.h&gt;</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="preprocessor">#include &lt;stddef.h&gt;</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="preprocessor">#include &quot;../kmCommon/kmCommon.h&quot;</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="preprocessor">#include &quot;../kmTimersCommon/kmTimer4Defs.h&quot;</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a2e13f19df2a4951862ca5bd89b699107">   55</a></span><span class="preprocessor">#define KM_TIMER4_USER_DATA(X) (void *)(X)</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#acac9dc0d63ba80ccf47bb3ed4a0e5c01">   62</a></span><span class="keyword">typedef</span> <span class="keywordtype">void</span> <a class="code hl_typedef" href="km_timer4_8h.html#acac9dc0d63ba80ccf47bb3ed4a0e5c01">kmTimer4CallbackType</a>(<span class="keywordtype">void</span> *);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#afe5532f92f52fff6025f33f5ad5717e1">   77</a></span><span class="keyword">typedef</span> <span class="keywordtype">void</span> <a class="code hl_typedef" href="km_timer4_8h.html#afe5532f92f52fff6025f33f5ad5717e1">kmTimer4InpCaptureCallbackType</a>(<span class="keyword">const</span> uint16_t, <span class="keyword">const</span> <span class="keywordtype">bool</span>, <span class="keyword">const</span> <span class="keywordtype">void</span> *);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="foldopen" id="foldopen00082" data-start="{" data-end="};">
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172">   82</a></span><span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172a5f2ee7aa5addffb14bc8b03c70a2a320">   84</a></span>    <a class="code hl_enumvalue" href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172a5f2ee7aa5addffb14bc8b03c70a2a320">KM_TCC4_PWM_OUT_A</a>,</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172a4518213818486fdf8bb997013a406547">   86</a></span>    <a class="code hl_enumvalue" href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172a4518213818486fdf8bb997013a406547">KM_TCC4_PWM_OUT_B</a>,</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span><span class="preprocessor">#ifdef COM4C0</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    <a class="code hl_enumvalue" href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172a29d959a3bf52d0f43700edfca8276ea8">KM_TCC4_PWM_OUT_C</a></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="preprocessor">#endif </span><span class="comment">/* COM4C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172a29d959a3bf52d0f43700edfca8276ea8">   91</a></span>} <a class="code hl_enumeration" href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172">Tcc4PwmOut</a>;</div>
</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a11641a0277fcb1f24828b00b2e387f39">  172</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a11641a0277fcb1f24828b00b2e387f39">kmTimer4InitOnPrescalerBottomToTopOvfCompABCInterruptCallback</a>(<span class="keyword">const</span> uint8_t prescaler);</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span> </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a3599cd58332aa1abd2640f07042e1671">  190</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a3599cd58332aa1abd2640f07042e1671">kmTimer4InitOnAccuratePeriodGenerateOutputClockA</a>(<span class="keyword">const</span> uint32_t periodInMicroseconds);</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span> </div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a24618290ff08ff410b44208049afd305">  212</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a24618290ff08ff410b44208049afd305">kmTimer4InitOnAccurateTimeCompAInterruptCallback</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> <span class="keywordtype">bool</span> outOnOC4A);</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span> </div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#afb8b2a912203fc8b0ff2cd0d2098c664">  218</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#afb8b2a912203fc8b0ff2cd0d2098c664">kmTimer4InitExternal</a>(<span class="keywordtype">bool</span> falling);</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span> </div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a9b36899cf482b9fe21b22bef0804ba59">  246</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a9b36899cf482b9fe21b22bef0804ba59">kmTimer4InitOnAccurateTimeCompABInterruptCallback</a>(<span class="keyword">const</span> uint32_t microseconds, uint16_t phaseIntB);</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span> </div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span><span class="preprocessor">#ifdef COM4C0</span></div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#ae9f11519d59b700216c6aaff3f3ecdaf">  298</a></span>uint16_t <a class="code hl_function" href="km_timer4_8h.html#ae9f11519d59b700216c6aaff3f3ecdaf">kmTimer4InitOnAccurateTimeFastPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span><span class="preprocessor">#else </span><span class="comment">/* COM4C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>uint16_t <a class="code hl_function" href="km_timer4_8h.html#ae9f11519d59b700216c6aaff3f3ecdaf">kmTimer4InitOnAccurateTimeFastPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span><span class="preprocessor">#endif </span><span class="comment">/* COM4C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span> </div>
<div class="line"><a id="l00347" name="l00347"></a><span class="lineno">  347</span><span class="preprocessor">#ifdef COM4C0</span></div>
<div class="line"><a id="l00348" name="l00348"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#aa1d1e30f30755989866792d2bb978058">  348</a></span>uint16_t <a class="code hl_function" href="km_timer4_8h.html#aa1d1e30f30755989866792d2bb978058">kmTimer4InitOnAccurateTimePcPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div>
<div class="line"><a id="l00349" name="l00349"></a><span class="lineno">  349</span><span class="preprocessor">#else </span><span class="comment">/* COM4C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00350" name="l00350"></a><span class="lineno">  350</span>uint16_t <a class="code hl_function" href="km_timer4_8h.html#aa1d1e30f30755989866792d2bb978058">kmTimer4InitOnAccurateTimePcPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div>
<div class="line"><a id="l00351" name="l00351"></a><span class="lineno">  351</span><span class="preprocessor">#endif </span><span class="comment">/* COM4C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00352" name="l00352"></a><span class="lineno">  352</span> </div>
<div class="line"><a id="l00394" name="l00394"></a><span class="lineno">  394</span><span class="preprocessor">#ifdef COM4C0</span></div>
<div class="line"><a id="l00395" name="l00395"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#ab33ddfaa6fd8df2260b5487b40a8c1c0">  395</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#ab33ddfaa6fd8df2260b5487b40a8c1c0">kmTimer4InitOnPrescalerBottomToTopFastPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div>
<div class="line"><a id="l00396" name="l00396"></a><span class="lineno">  396</span><span class="preprocessor">#else </span><span class="comment">/* COM4C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00397" name="l00397"></a><span class="lineno">  397</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#ab33ddfaa6fd8df2260b5487b40a8c1c0">kmTimer4InitOnPrescalerBottomToTopFastPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div>
<div class="line"><a id="l00398" name="l00398"></a><span class="lineno">  398</span><span class="preprocessor">#endif </span><span class="comment">/* COM4C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00399" name="l00399"></a><span class="lineno">  399</span> </div>
<div class="line"><a id="l00441" name="l00441"></a><span class="lineno">  441</span><span class="preprocessor">#ifdef COM4C0</span></div>
<div class="line"><a id="l00442" name="l00442"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a480d5afecd140f846ac44a11bddeda64">  442</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a480d5afecd140f846ac44a11bddeda64">kmTimer4InitOnPrescalerBottomToTopPcPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB, <span class="keyword">const</span> uint16_t dutyC, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedC);</div>
<div class="line"><a id="l00443" name="l00443"></a><span class="lineno">  443</span><span class="preprocessor">#else </span><span class="comment">/* COM4C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00444" name="l00444"></a><span class="lineno">  444</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a480d5afecd140f846ac44a11bddeda64">kmTimer4InitOnPrescalerBottomToTopPcPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint16_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint16_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div>
<div class="line"><a id="l00445" name="l00445"></a><span class="lineno">  445</span><span class="preprocessor">#endif </span><span class="comment">/* COM4C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00446" name="l00446"></a><span class="lineno">  446</span> </div>
<div class="line"><a id="l00461" name="l00461"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a3220e480e45e2cf959c2d066670123fa">  461</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a3220e480e45e2cf959c2d066670123fa">kmTimer4InitInputCapture</a>(<span class="keyword">const</span> uint32_t iddleTimeMicroseconds,</div>
<div class="line"><a id="l00462" name="l00462"></a><span class="lineno">  462</span>                            <span class="keywordtype">void</span> *iddleUserData, <a class="code hl_typedef" href="km_timer4_8h.html#acac9dc0d63ba80ccf47bb3ed4a0e5c01">kmTimer4CallbackType</a> *iddleCallback,</div>
<div class="line"><a id="l00463" name="l00463"></a><span class="lineno">  463</span>                            <span class="keywordtype">void</span> *inpCaptureUserData, <a class="code hl_typedef" href="km_timer4_8h.html#afe5532f92f52fff6025f33f5ad5717e1">kmTimer4InpCaptureCallbackType</a> *inpCaptureCallback);</div>
<div class="line"><a id="l00464" name="l00464"></a><span class="lineno">  464</span> </div>
<div class="line"><a id="l00465" name="l00465"></a><span class="lineno">  465</span><span class="comment">// Setters callback user data</span></div>
<div class="line"><a id="l00476" name="l00476"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a021cf9acf848e4e8ffe776c0e31ee21c">  476</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a021cf9acf848e4e8ffe776c0e31ee21c">kmTimer4SetCallbackUserDataOVF</a>(<span class="keywordtype">void</span> *userData);</div>
<div class="line"><a id="l00477" name="l00477"></a><span class="lineno">  477</span> </div>
<div class="line"><a id="l00488" name="l00488"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a9916920251f149df9f426768c62cdc66">  488</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a9916920251f149df9f426768c62cdc66">kmTimer4SetCallbackUserDataCompA</a>(<span class="keywordtype">void</span> *userData);</div>
<div class="line"><a id="l00489" name="l00489"></a><span class="lineno">  489</span> </div>
<div class="line"><a id="l00500" name="l00500"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#ac37f28ed40c28cd67ee24a98d8d790de">  500</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#ac37f28ed40c28cd67ee24a98d8d790de">kmTimer4SetCallbackUserDataCompB</a>(<span class="keywordtype">void</span> *userData);</div>
<div class="line"><a id="l00501" name="l00501"></a><span class="lineno">  501</span> </div>
<div class="line"><a id="l00502" name="l00502"></a><span class="lineno">  502</span><span class="preprocessor">#ifdef COM4C0</span></div>
<div class="line"><a id="l00513" name="l00513"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a316bb4c09885ef860db6faef86132d63">  513</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a316bb4c09885ef860db6faef86132d63">kmTimer4SetCallbackUserDataCompC</a>(<span class="keywordtype">void</span> *userData);</div>
<div class="line"><a id="l00514" name="l00514"></a><span class="lineno">  514</span><span class="preprocessor">#endif </span><span class="comment">/* COM4C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00515" name="l00515"></a><span class="lineno">  515</span> </div>
<div class="line"><a id="l00516" name="l00516"></a><span class="lineno">  516</span><span class="comment">// Registering callbacks</span></div>
<div class="line"><a id="l00532" name="l00532"></a><span class="lineno">  532</span> </div>
<div class="line"><a id="l00535" name="l00535"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a94bafd8412a4ef21ea1342ce676ca384">  535</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a94bafd8412a4ef21ea1342ce676ca384">kmTimer4RegisterCallbackOVF</a>(<span class="keywordtype">void</span> *userData, <a class="code hl_typedef" href="km_timer4_8h.html#acac9dc0d63ba80ccf47bb3ed4a0e5c01">kmTimer4CallbackType</a> *callback);</div>
<div class="line"><a id="l00536" name="l00536"></a><span class="lineno">  536</span> </div>
<div class="line"><a id="l00552" name="l00552"></a><span class="lineno">  552</span> </div>
<div class="line"><a id="l00555" name="l00555"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#ab8697b2db0329462446e946906c21eb3">  555</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#ab8697b2db0329462446e946906c21eb3">kmTimer4RegisterCallbackCompA</a>(<span class="keywordtype">void</span> *userData, <a class="code hl_typedef" href="km_timer4_8h.html#acac9dc0d63ba80ccf47bb3ed4a0e5c01">kmTimer4CallbackType</a> *callback);</div>
<div class="line"><a id="l00556" name="l00556"></a><span class="lineno">  556</span> </div>
<div class="line"><a id="l00572" name="l00572"></a><span class="lineno">  572</span> </div>
<div class="line"><a id="l00575" name="l00575"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#ab8498241febbd89502a935247f67150d">  575</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#ab8498241febbd89502a935247f67150d">kmTimer4RegisterCallbackCompB</a>(<span class="keywordtype">void</span> *userData, <a class="code hl_typedef" href="km_timer4_8h.html#acac9dc0d63ba80ccf47bb3ed4a0e5c01">kmTimer4CallbackType</a> *callback);</div>
<div class="line"><a id="l00576" name="l00576"></a><span class="lineno">  576</span> </div>
<div class="line"><a id="l00577" name="l00577"></a><span class="lineno">  577</span><span class="preprocessor">#ifdef COM4C0</span></div>
<div class="line"><a id="l00593" name="l00593"></a><span class="lineno">  593</span> </div>
<div class="line"><a id="l00596" name="l00596"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a07a3395e6aa04c9152e85731d394745c">  596</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a07a3395e6aa04c9152e85731d394745c">kmTimer4RegisterCallbackCompC</a>(<span class="keywordtype">void</span> *userData, <a class="code hl_typedef" href="km_timer4_8h.html#acac9dc0d63ba80ccf47bb3ed4a0e5c01">kmTimer4CallbackType</a> *callback);</div>
<div class="line"><a id="l00597" name="l00597"></a><span class="lineno">  597</span><span class="preprocessor">#endif </span><span class="comment">/* COM4C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00598" name="l00598"></a><span class="lineno">  598</span> </div>
<div class="line"><a id="l00616" name="l00616"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a7ab5186cf810017a723697915c0e09da">  616</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a7ab5186cf810017a723697915c0e09da">kmTimer4RegisterCallbackInpCapture</a>(<span class="keywordtype">void</span> *userData, <a class="code hl_typedef" href="km_timer4_8h.html#afe5532f92f52fff6025f33f5ad5717e1">kmTimer4InpCaptureCallbackType</a> *callback);</div>
<div class="line"><a id="l00617" name="l00617"></a><span class="lineno">  617</span> </div>
<div class="line"><a id="l00618" name="l00618"></a><span class="lineno">  618</span><span class="comment">// Unregistering callbacks</span></div>
<div class="line"><a id="l00622" name="l00622"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#af626cb9614fe90b07358b017e54e8032">  622</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#af626cb9614fe90b07358b017e54e8032">kmTimer4UnregisterCallbackOVF</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00623" name="l00623"></a><span class="lineno">  623</span> </div>
<div class="line"><a id="l00627" name="l00627"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#ac3313368bc1868febafe1fe9e006c75d">  627</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#ac3313368bc1868febafe1fe9e006c75d">kmTimer4UnregisterCallbackCompA</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00628" name="l00628"></a><span class="lineno">  628</span> </div>
<div class="line"><a id="l00632" name="l00632"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#ab686f9e988073d097bdf6bfb9f142e40">  632</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#ab686f9e988073d097bdf6bfb9f142e40">kmTimer4UnregisterCallbackCompB</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00633" name="l00633"></a><span class="lineno">  633</span> </div>
<div class="line"><a id="l00634" name="l00634"></a><span class="lineno">  634</span><span class="preprocessor">#ifdef COM4C0</span></div>
<div class="line"><a id="l00638" name="l00638"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a44a568325bf3c896a4deef9b8250ea0b">  638</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a44a568325bf3c896a4deef9b8250ea0b">kmTimer4UnregisterCallbackCompC</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00639" name="l00639"></a><span class="lineno">  639</span><span class="preprocessor">#endif </span><span class="comment">/* COM4C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00640" name="l00640"></a><span class="lineno">  640</span> </div>
<div class="line"><a id="l00644" name="l00644"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a51df73af3f2a6cf5a0e9902216c035f5">  644</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a51df73af3f2a6cf5a0e9902216c035f5">kmTimer4UnregisterCallbackInpCapture</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00645" name="l00645"></a><span class="lineno">  645</span> </div>
<div class="line"><a id="l00646" name="l00646"></a><span class="lineno">  646</span><span class="comment">// Enabling interrupts</span></div>
<div class="line"><a id="l00650" name="l00650"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a98a5f1076cbd17f38999aef18badfef3">  650</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a98a5f1076cbd17f38999aef18badfef3">kmTimer4EnableInterruptOVF</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00651" name="l00651"></a><span class="lineno">  651</span> </div>
<div class="line"><a id="l00655" name="l00655"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a8a4333b2e38d16d9b0fe99c30e0d1196">  655</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a8a4333b2e38d16d9b0fe99c30e0d1196">kmTimer4EnableInterruptCompA</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00656" name="l00656"></a><span class="lineno">  656</span> </div>
<div class="line"><a id="l00660" name="l00660"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#ab301d7a6d0dbafc9bc419531a33882e4">  660</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#ab301d7a6d0dbafc9bc419531a33882e4">kmTimer4EnableInterruptCompB</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00661" name="l00661"></a><span class="lineno">  661</span> </div>
<div class="line"><a id="l00662" name="l00662"></a><span class="lineno">  662</span><span class="preprocessor">#ifdef COM4C0</span></div>
<div class="line"><a id="l00666" name="l00666"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#ad665f114cad7ae24a64bf9b231091be2">  666</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#ad665f114cad7ae24a64bf9b231091be2">kmTimer4EnableInterruptCompC</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00667" name="l00667"></a><span class="lineno">  667</span><span class="preprocessor">#endif </span><span class="comment">/* COM4C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00668" name="l00668"></a><span class="lineno">  668</span> </div>
<div class="line"><a id="l00683" name="l00683"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#ad4e6dc91d904ada382344b77f1894252">  683</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#ad4e6dc91d904ada382344b77f1894252">kmTimer4EnableInterruptInpCapture</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00684" name="l00684"></a><span class="lineno">  684</span> </div>
<div class="line"><a id="l00685" name="l00685"></a><span class="lineno">  685</span><span class="comment">// Disabling interrupts</span></div>
<div class="line"><a id="l00689" name="l00689"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a498cb34fdd3377dced21be20cef52dc4">  689</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a498cb34fdd3377dced21be20cef52dc4">kmTimer4DisableInterruptsAll</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00690" name="l00690"></a><span class="lineno">  690</span> </div>
<div class="line"><a id="l00694" name="l00694"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a60921167a8d17688d9bba578a6c4057d">  694</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a60921167a8d17688d9bba578a6c4057d">kmTimer4DisableInterruptOVF</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00695" name="l00695"></a><span class="lineno">  695</span> </div>
<div class="line"><a id="l00699" name="l00699"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a7df3153db1d7397ed7952f7bfd8ca61b">  699</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a7df3153db1d7397ed7952f7bfd8ca61b">kmTimer4DisableInterruptCompA</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00700" name="l00700"></a><span class="lineno">  700</span> </div>
<div class="line"><a id="l00704" name="l00704"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#af95e0e28476022b1a3bdec4d980c2b2a">  704</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#af95e0e28476022b1a3bdec4d980c2b2a">kmTimer4DisableInterruptCompB</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00705" name="l00705"></a><span class="lineno">  705</span> </div>
<div class="line"><a id="l00706" name="l00706"></a><span class="lineno">  706</span><span class="preprocessor">#ifdef COM4C0</span></div>
<div class="line"><a id="l00710" name="l00710"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#aa6e787e3dea96c6be57a3c5dfa3062e0">  710</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#aa6e787e3dea96c6be57a3c5dfa3062e0">kmTimer4DisableInterruptCompC</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00711" name="l00711"></a><span class="lineno">  711</span><span class="preprocessor">#endif </span><span class="comment">/* COM4C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00712" name="l00712"></a><span class="lineno">  712</span> </div>
<div class="line"><a id="l00727" name="l00727"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a7ffa330bd7bffd14b5281a7059505ae3">  727</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a7ffa330bd7bffd14b5281a7059505ae3">kmTimer4SetValueOvf</a>(uint16_t value);</div>
<div class="line"><a id="l00728" name="l00728"></a><span class="lineno">  728</span> </div>
<div class="line"><a id="l00729" name="l00729"></a><span class="lineno">  729</span><span class="comment">// Configuration of Comparator Outputs</span></div>
<div class="line"><a id="l00735" name="l00735"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a443148ab914eb654ec77a28a80930bd1">  735</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a443148ab914eb654ec77a28a80930bd1">kmTimer4ConfigureOCA</a>(uint8_t compareOutputMode);</div>
<div class="line"><a id="l00736" name="l00736"></a><span class="lineno">  736</span> </div>
<div class="line"><a id="l00742" name="l00742"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a253585c3b22b985adc023b8670f0427a">  742</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a253585c3b22b985adc023b8670f0427a">kmTimer4ConfigureOCB</a>(uint8_t compareOutputMode);</div>
<div class="line"><a id="l00743" name="l00743"></a><span class="lineno">  743</span> </div>
<div class="line"><a id="l00749" name="l00749"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a3be3ed635233091b682e6cc602573cc7">  749</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a3be3ed635233091b682e6cc602573cc7">kmTimer4ConfigureOCC</a>(uint8_t compareOutputMode);</div>
<div class="line"><a id="l00750" name="l00750"></a><span class="lineno">  750</span> </div>
<div class="line"><a id="l00751" name="l00751"></a><span class="lineno">  751</span><span class="comment">// Controlling timer flow</span></div>
<div class="line"><a id="l00755" name="l00755"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a1c919fa7afe6f0066897286f5d335fe1">  755</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a1c919fa7afe6f0066897286f5d335fe1">kmTimer4Start</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00756" name="l00756"></a><span class="lineno">  756</span> </div>
<div class="line"><a id="l00760" name="l00760"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#abd6f5ec0caf8ec382af55cc98bb5258d">  760</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#abd6f5ec0caf8ec382af55cc98bb5258d">kmTimer4Stop</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00761" name="l00761"></a><span class="lineno">  761</span> </div>
<div class="line"><a id="l00765" name="l00765"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#ad0e5ac961deaee4f85ea9df807f5fa5d">  765</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#ad0e5ac961deaee4f85ea9df807f5fa5d">kmTimer4Restart</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00766" name="l00766"></a><span class="lineno">  766</span> </div>
<div class="line"><a id="l00767" name="l00767"></a><span class="lineno">  767</span><span class="comment">// Controlling PWM</span></div>
<div class="line"><a id="l00775" name="l00775"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a5215e56d6a2cbf2743b405730734a5f5">  775</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a5215e56d6a2cbf2743b405730734a5f5">kmTimer4SetPwmDutyBottomToTop</a>(<a class="code hl_enumeration" href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172">Tcc4PwmOut</a> pwmOut, uint16_t duty);</div>
<div class="line"><a id="l00783" name="l00783"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a49d222a1c45c35f5343b97c1ce08cdea">  783</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a49d222a1c45c35f5343b97c1ce08cdea">kmTimer4SetPwmDutyAccurateTimeModes</a>(uint16_t duty);</div>
<div class="line"><a id="l00784" name="l00784"></a><span class="lineno">  784</span> </div>
<div class="line"><a id="l00790" name="l00790"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a7bb3daa69391fe769ffa596771a5aedf">  790</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a7bb3daa69391fe769ffa596771a5aedf">kmTimer4SetPwmInversion</a>(<a class="code hl_enumeration" href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172">Tcc4PwmOut</a> pwmOut, <span class="keywordtype">bool</span> inverted);</div>
<div class="line"><a id="l00791" name="l00791"></a><span class="lineno">  791</span> </div>
<div class="line"><a id="l00792" name="l00792"></a><span class="lineno">  792</span><span class="comment">// Timer flow calculations</span></div>
<div class="line"><a id="l00803" name="l00803"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a34c9876127ce73778f4615e6c811bba4">  803</a></span>uint16_t <a class="code hl_function" href="km_timer4_8h.html#a34c9876127ce73778f4615e6c811bba4">kmTimer4CalcPerdiod</a>(<span class="keyword">const</span> uint32_t microseconds, uint8_t *prescaler);</div>
<div class="line"><a id="l00804" name="l00804"></a><span class="lineno">  804</span> </div>
<div class="line"><a id="l00818" name="l00818"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#ad978af6b0d4fa8f9785626c567f1fb88">  818</a></span>uint16_t <a class="code hl_function" href="km_timer4_8h.html#ad978af6b0d4fa8f9785626c567f1fb88">kmTimer4CalcPerdiodWithMinPwmAccuracy</a>(<span class="keyword">const</span> uint32_t microseconds, uint8_t *prescaler, <span class="keyword">const</span> uint16_t minimumCycleAcuracy);</div>
<div class="line"><a id="l00819" name="l00819"></a><span class="lineno">  819</span> </div>
<div class="line"><a id="l00827" name="l00827"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a9044116bb21e91d66bddd602cc3c7d9b">  827</a></span>uint16_t <a class="code hl_function" href="km_timer4_8h.html#a9044116bb21e91d66bddd602cc3c7d9b">kmTimer4CalcDutyOnCycles</a>(uint16_t duty, uint16_t cyclesRange);</div>
<div class="line"><a id="l00828" name="l00828"></a><span class="lineno">  828</span> </div>
<div class="line"><a id="l00829" name="l00829"></a><span class="lineno">  829</span> </div>
<div class="line"><a id="l00843" name="l00843"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a6b6612c2a61bd264d20fdfdd6cca8a84">  843</a></span>uint16_t <a class="code hl_function" href="km_timer4_8h.html#a6b6612c2a61bd264d20fdfdd6cca8a84">kmTimer4GetValueOvf</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00844" name="l00844"></a><span class="lineno">  844</span> </div>
<div class="line"><a id="l00858" name="l00858"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#ad15770cb857652c1f4c2421ec1459fdc">  858</a></span>uint16_t <a class="code hl_function" href="km_timer4_8h.html#ad15770cb857652c1f4c2421ec1459fdc">kmTimer4GetValueCompA</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00859" name="l00859"></a><span class="lineno">  859</span> </div>
<div class="line"><a id="l00873" name="l00873"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a045e39ffec2665ff9c26d59718d57d58">  873</a></span>uint16_t <a class="code hl_function" href="km_timer4_8h.html#a045e39ffec2665ff9c26d59718d57d58">kmTimer4GetValueCompB</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00874" name="l00874"></a><span class="lineno">  874</span> </div>
<div class="line"><a id="l00875" name="l00875"></a><span class="lineno">  875</span><span class="preprocessor">#ifdef COM4C0</span></div>
<div class="line"><a id="l00889" name="l00889"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a1685481b3bd8c34dd46aedce5e8216f1">  889</a></span>uint16_t <a class="code hl_function" href="km_timer4_8h.html#a1685481b3bd8c34dd46aedce5e8216f1">kmTimer4GetValueCompC</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00890" name="l00890"></a><span class="lineno">  890</span><span class="preprocessor">#endif </span><span class="comment">/* COM4C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00891" name="l00891"></a><span class="lineno">  891</span> </div>
<div class="line"><a id="l00906" name="l00906"></a><span class="lineno">  906</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a7ffa330bd7bffd14b5281a7059505ae3">kmTimer4SetValueOvf</a>(uint16_t value);</div>
<div class="line"><a id="l00907" name="l00907"></a><span class="lineno">  907</span> </div>
<div class="line"><a id="l00921" name="l00921"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a8e8fc2551c6a96f660fb5ccd94e3a9cb">  921</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a8e8fc2551c6a96f660fb5ccd94e3a9cb">kmTimer4SetValueCompA</a>(uint16_t value);</div>
<div class="line"><a id="l00922" name="l00922"></a><span class="lineno">  922</span> </div>
<div class="line"><a id="l00936" name="l00936"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a657ea8bfca17f3fd9d6bd461c7bd6709">  936</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a657ea8bfca17f3fd9d6bd461c7bd6709">kmTimer4SetValueCompB</a>(uint16_t value);</div>
<div class="line"><a id="l00937" name="l00937"></a><span class="lineno">  937</span> </div>
<div class="line"><a id="l00938" name="l00938"></a><span class="lineno">  938</span><span class="preprocessor">#ifdef COM4C0</span></div>
<div class="line"><a id="l00952" name="l00952"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a046ca438d72aa52415697d15e3d1499d">  952</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a046ca438d72aa52415697d15e3d1499d">kmTimer4SetValueCompC</a>(uint16_t value);</div>
<div class="line"><a id="l00953" name="l00953"></a><span class="lineno">  953</span><span class="preprocessor">#endif </span><span class="comment">/* COM4C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00954" name="l00954"></a><span class="lineno">  954</span> </div>
<div class="line"><a id="l00975" name="l00975"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a0fec44d9b9aca0ecec10d5bcd5e93dff">  975</a></span><span class="keywordtype">bool</span> <a class="code hl_function" href="km_timer4_8h.html#a0fec44d9b9aca0ecec10d5bcd5e93dff">kmTimer4InpCaputureGetState</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00976" name="l00976"></a><span class="lineno">  976</span> </div>
<div class="line"><a id="l00990" name="l00990"></a><span class="lineno"><a class="line" href="km_timer4_8h.html#a16c21e2c71589e7af74732a98fa113bf">  990</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a16c21e2c71589e7af74732a98fa113bf">kmTimer4Init</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint8_t modeA, <span class="keyword">const</span> uint8_t modeB);</div>
<div class="line"><a id="l00991" name="l00991"></a><span class="lineno">  991</span> </div>
<div class="line"><a id="l00997" name="l00997"></a><span class="lineno">  997</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#a1c919fa7afe6f0066897286f5d335fe1">kmTimer4Start</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00998" name="l00998"></a><span class="lineno">  998</span> </div>
<div class="line"><a id="l01004" name="l01004"></a><span class="lineno"> 1004</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#abd6f5ec0caf8ec382af55cc98bb5258d">kmTimer4Stop</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l01005" name="l01005"></a><span class="lineno"> 1005</span> </div>
<div class="line"><a id="l01011" name="l01011"></a><span class="lineno"> 1011</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer4_8h.html#ad0e5ac961deaee4f85ea9df807f5fa5d">kmTimer4Restart</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l01012" name="l01012"></a><span class="lineno"> 1012</span> </div>
<div class="line"><a id="l01013" name="l01013"></a><span class="lineno"> 1013</span><span class="preprocessor">#endif </span><span class="comment">/* TIMSK4 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l01014" name="l01014"></a><span class="lineno"> 1014</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l01015" name="l01015"></a><span class="lineno"> 1015</span>}</div>
<div class="line"><a id="l01016" name="l01016"></a><span class="lineno"> 1016</span><span class="preprocessor">#endif </span><span class="comment">/*  __cplusplus */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l01017" name="l01017"></a><span class="lineno"> 1017</span><span class="preprocessor">#endif </span><span class="comment">/* KMTIMER4_H_ */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l01018" name="l01018"></a><span class="lineno"> 1018</span> </div>
<div class="ttc" id="akm_timer4_8h_html_a021cf9acf848e4e8ffe776c0e31ee21c"><div class="ttname"><a href="km_timer4_8h.html#a021cf9acf848e4e8ffe776c0e31ee21c">kmTimer4SetCallbackUserDataOVF</a></div><div class="ttdeci">void kmTimer4SetCallbackUserDataOVF(void *userData)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a045e39ffec2665ff9c26d59718d57d58"><div class="ttname"><a href="km_timer4_8h.html#a045e39ffec2665ff9c26d59718d57d58">kmTimer4GetValueCompB</a></div><div class="ttdeci">uint16_t kmTimer4GetValueCompB(void)</div><div class="ttdoc">Retrieves the current value of Timer/Counter 4 Compare B.</div></div>
<div class="ttc" id="akm_timer4_8h_html_a046ca438d72aa52415697d15e3d1499d"><div class="ttname"><a href="km_timer4_8h.html#a046ca438d72aa52415697d15e3d1499d">kmTimer4SetValueCompC</a></div><div class="ttdeci">void kmTimer4SetValueCompC(uint16_t value)</div><div class="ttdoc">Sets the value for Timer/Counter 4 Compare C.</div></div>
<div class="ttc" id="akm_timer4_8h_html_a07a3395e6aa04c9152e85731d394745c"><div class="ttname"><a href="km_timer4_8h.html#a07a3395e6aa04c9152e85731d394745c">kmTimer4RegisterCallbackCompC</a></div><div class="ttdeci">void kmTimer4RegisterCallbackCompC(void *userData, kmTimer4CallbackType *callback)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a0fec44d9b9aca0ecec10d5bcd5e93dff"><div class="ttname"><a href="km_timer4_8h.html#a0fec44d9b9aca0ecec10d5bcd5e93dff">kmTimer4InpCaputureGetState</a></div><div class="ttdeci">bool kmTimer4InpCaputureGetState(void)</div><div class="ttdoc">Gets the state of Timer/Counter 4 Input Capture pin.</div></div>
<div class="ttc" id="akm_timer4_8h_html_a11641a0277fcb1f24828b00b2e387f39"><div class="ttname"><a href="km_timer4_8h.html#a11641a0277fcb1f24828b00b2e387f39">kmTimer4InitOnPrescalerBottomToTopOvfCompABCInterruptCallback</a></div><div class="ttdeci">void kmTimer4InitOnPrescalerBottomToTopOvfCompABCInterruptCallback(const uint8_t prescaler)</div><div class="ttdoc">Initializes Timer 4 in a mode allowing the use of CompA, CompB, CompC, and Overflow Interrupts launch...</div></div>
<div class="ttc" id="akm_timer4_8h_html_a1685481b3bd8c34dd46aedce5e8216f1"><div class="ttname"><a href="km_timer4_8h.html#a1685481b3bd8c34dd46aedce5e8216f1">kmTimer4GetValueCompC</a></div><div class="ttdeci">uint16_t kmTimer4GetValueCompC(void)</div><div class="ttdoc">Retrieves the current value of Timer/Counter 4 Compare C.</div></div>
<div class="ttc" id="akm_timer4_8h_html_a16c21e2c71589e7af74732a98fa113bf"><div class="ttname"><a href="km_timer4_8h.html#a16c21e2c71589e7af74732a98fa113bf">kmTimer4Init</a></div><div class="ttdeci">void kmTimer4Init(const uint8_t prescaler, const uint8_t modeA, const uint8_t modeB)</div><div class="ttdoc">Initializes Timer 4 with the specified prescaler and modes.</div></div>
<div class="ttc" id="akm_timer4_8h_html_a1c919fa7afe6f0066897286f5d335fe1"><div class="ttname"><a href="km_timer4_8h.html#a1c919fa7afe6f0066897286f5d335fe1">kmTimer4Start</a></div><div class="ttdeci">void kmTimer4Start(void)</div><div class="ttdoc">Starts Timer 4 with the previously configured prescaler.</div></div>
<div class="ttc" id="akm_timer4_8h_html_a24618290ff08ff410b44208049afd305"><div class="ttname"><a href="km_timer4_8h.html#a24618290ff08ff410b44208049afd305">kmTimer4InitOnAccurateTimeCompAInterruptCallback</a></div><div class="ttdeci">void kmTimer4InitOnAccurateTimeCompAInterruptCallback(const uint32_t microseconds, const bool outOnOC4A)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a253585c3b22b985adc023b8670f0427a"><div class="ttname"><a href="km_timer4_8h.html#a253585c3b22b985adc023b8670f0427a">kmTimer4ConfigureOCB</a></div><div class="ttdeci">void kmTimer4ConfigureOCB(uint8_t compareOutputMode)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a316bb4c09885ef860db6faef86132d63"><div class="ttname"><a href="km_timer4_8h.html#a316bb4c09885ef860db6faef86132d63">kmTimer4SetCallbackUserDataCompC</a></div><div class="ttdeci">void kmTimer4SetCallbackUserDataCompC(void *userData)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a3220e480e45e2cf959c2d066670123fa"><div class="ttname"><a href="km_timer4_8h.html#a3220e480e45e2cf959c2d066670123fa">kmTimer4InitInputCapture</a></div><div class="ttdeci">void kmTimer4InitInputCapture(const uint32_t iddleTimeMicroseconds, void *iddleUserData, kmTimer4CallbackType *iddleCallback, void *inpCaptureUserData, kmTimer4InpCaptureCallbackType *inpCaptureCallback)</div><div class="ttdoc">Initializes Timer/Counter 4 for input capture with specified parameters.</div></div>
<div class="ttc" id="akm_timer4_8h_html_a34c9876127ce73778f4615e6c811bba4"><div class="ttname"><a href="km_timer4_8h.html#a34c9876127ce73778f4615e6c811bba4">kmTimer4CalcPerdiod</a></div><div class="ttdeci">uint16_t kmTimer4CalcPerdiod(const uint32_t microseconds, uint8_t *prescaler)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a3599cd58332aa1abd2640f07042e1671"><div class="ttname"><a href="km_timer4_8h.html#a3599cd58332aa1abd2640f07042e1671">kmTimer4InitOnAccuratePeriodGenerateOutputClockA</a></div><div class="ttdeci">void kmTimer4InitOnAccuratePeriodGenerateOutputClockA(const uint32_t periodInMicroseconds)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a3be3ed635233091b682e6cc602573cc7"><div class="ttname"><a href="km_timer4_8h.html#a3be3ed635233091b682e6cc602573cc7">kmTimer4ConfigureOCC</a></div><div class="ttdeci">void kmTimer4ConfigureOCC(uint8_t compareOutputMode)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a443148ab914eb654ec77a28a80930bd1"><div class="ttname"><a href="km_timer4_8h.html#a443148ab914eb654ec77a28a80930bd1">kmTimer4ConfigureOCA</a></div><div class="ttdeci">void kmTimer4ConfigureOCA(uint8_t compareOutputMode)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a44a568325bf3c896a4deef9b8250ea0b"><div class="ttname"><a href="km_timer4_8h.html#a44a568325bf3c896a4deef9b8250ea0b">kmTimer4UnregisterCallbackCompC</a></div><div class="ttdeci">void kmTimer4UnregisterCallbackCompC(void)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a480d5afecd140f846ac44a11bddeda64"><div class="ttname"><a href="km_timer4_8h.html#a480d5afecd140f846ac44a11bddeda64">kmTimer4InitOnPrescalerBottomToTopPcPwm</a></div><div class="ttdeci">void kmTimer4InitOnPrescalerBottomToTopPcPwm(const uint8_t prescaler, const uint16_t dutyA, const bool invertedA, const uint16_t dutyB, const bool invertedB, const uint16_t dutyC, const bool invertedC)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a498cb34fdd3377dced21be20cef52dc4"><div class="ttname"><a href="km_timer4_8h.html#a498cb34fdd3377dced21be20cef52dc4">kmTimer4DisableInterruptsAll</a></div><div class="ttdeci">void kmTimer4DisableInterruptsAll(void)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a49d222a1c45c35f5343b97c1ce08cdea"><div class="ttname"><a href="km_timer4_8h.html#a49d222a1c45c35f5343b97c1ce08cdea">kmTimer4SetPwmDutyAccurateTimeModes</a></div><div class="ttdeci">void kmTimer4SetPwmDutyAccurateTimeModes(uint16_t duty)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a51df73af3f2a6cf5a0e9902216c035f5"><div class="ttname"><a href="km_timer4_8h.html#a51df73af3f2a6cf5a0e9902216c035f5">kmTimer4UnregisterCallbackInpCapture</a></div><div class="ttdeci">void kmTimer4UnregisterCallbackInpCapture(void)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a5215e56d6a2cbf2743b405730734a5f5"><div class="ttname"><a href="km_timer4_8h.html#a5215e56d6a2cbf2743b405730734a5f5">kmTimer4SetPwmDutyBottomToTop</a></div><div class="ttdeci">void kmTimer4SetPwmDutyBottomToTop(Tcc4PwmOut pwmOut, uint16_t duty)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a60921167a8d17688d9bba578a6c4057d"><div class="ttname"><a href="km_timer4_8h.html#a60921167a8d17688d9bba578a6c4057d">kmTimer4DisableInterruptOVF</a></div><div class="ttdeci">void kmTimer4DisableInterruptOVF(void)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a657ea8bfca17f3fd9d6bd461c7bd6709"><div class="ttname"><a href="km_timer4_8h.html#a657ea8bfca17f3fd9d6bd461c7bd6709">kmTimer4SetValueCompB</a></div><div class="ttdeci">void kmTimer4SetValueCompB(uint16_t value)</div><div class="ttdoc">Sets the value for Timer/Counter 4 Compare B.</div></div>
<div class="ttc" id="akm_timer4_8h_html_a6b6612c2a61bd264d20fdfdd6cca8a84"><div class="ttname"><a href="km_timer4_8h.html#a6b6612c2a61bd264d20fdfdd6cca8a84">kmTimer4GetValueOvf</a></div><div class="ttdeci">uint16_t kmTimer4GetValueOvf(void)</div><div class="ttdoc">Retrieves the current value of Timer/Counter 4 Overflow.</div></div>
<div class="ttc" id="akm_timer4_8h_html_a7ab5186cf810017a723697915c0e09da"><div class="ttname"><a href="km_timer4_8h.html#a7ab5186cf810017a723697915c0e09da">kmTimer4RegisterCallbackInpCapture</a></div><div class="ttdeci">void kmTimer4RegisterCallbackInpCapture(void *userData, kmTimer4InpCaptureCallbackType *callback)</div><div class="ttdoc">Register a callback function for Timer 4 input capture event.</div></div>
<div class="ttc" id="akm_timer4_8h_html_a7bb3daa69391fe769ffa596771a5aedf"><div class="ttname"><a href="km_timer4_8h.html#a7bb3daa69391fe769ffa596771a5aedf">kmTimer4SetPwmInversion</a></div><div class="ttdeci">void kmTimer4SetPwmInversion(Tcc4PwmOut pwmOut, bool inverted)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a7df3153db1d7397ed7952f7bfd8ca61b"><div class="ttname"><a href="km_timer4_8h.html#a7df3153db1d7397ed7952f7bfd8ca61b">kmTimer4DisableInterruptCompA</a></div><div class="ttdeci">void kmTimer4DisableInterruptCompA(void)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a7ffa330bd7bffd14b5281a7059505ae3"><div class="ttname"><a href="km_timer4_8h.html#a7ffa330bd7bffd14b5281a7059505ae3">kmTimer4SetValueOvf</a></div><div class="ttdeci">void kmTimer4SetValueOvf(uint16_t value)</div><div class="ttdoc">Sets the value for Timer/Counter 4 Overflow.</div></div>
<div class="ttc" id="akm_timer4_8h_html_a87e5ae05b2a625ea8f186b3cf1b4f172"><div class="ttname"><a href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172">Tcc4PwmOut</a></div><div class="ttdeci">Tcc4PwmOut</div><div class="ttdef"><b>Definition</b> kmTimer4.h:82</div></div>
<div class="ttc" id="akm_timer4_8h_html_a87e5ae05b2a625ea8f186b3cf1b4f172a29d959a3bf52d0f43700edfca8276ea8"><div class="ttname"><a href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172a29d959a3bf52d0f43700edfca8276ea8">KM_TCC4_PWM_OUT_C</a></div><div class="ttdeci">@ KM_TCC4_PWM_OUT_C</div><div class="ttdoc">PWM on output C.</div><div class="ttdef"><b>Definition</b> kmTimer4.h:89</div></div>
<div class="ttc" id="akm_timer4_8h_html_a87e5ae05b2a625ea8f186b3cf1b4f172a4518213818486fdf8bb997013a406547"><div class="ttname"><a href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172a4518213818486fdf8bb997013a406547">KM_TCC4_PWM_OUT_B</a></div><div class="ttdeci">@ KM_TCC4_PWM_OUT_B</div><div class="ttdoc">PWM on output B.</div><div class="ttdef"><b>Definition</b> kmTimer4.h:86</div></div>
<div class="ttc" id="akm_timer4_8h_html_a87e5ae05b2a625ea8f186b3cf1b4f172a5f2ee7aa5addffb14bc8b03c70a2a320"><div class="ttname"><a href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172a5f2ee7aa5addffb14bc8b03c70a2a320">KM_TCC4_PWM_OUT_A</a></div><div class="ttdeci">@ KM_TCC4_PWM_OUT_A</div><div class="ttdoc">PWM on output A.</div><div class="ttdef"><b>Definition</b> kmTimer4.h:84</div></div>
<div class="ttc" id="akm_timer4_8h_html_a8a4333b2e38d16d9b0fe99c30e0d1196"><div class="ttname"><a href="km_timer4_8h.html#a8a4333b2e38d16d9b0fe99c30e0d1196">kmTimer4EnableInterruptCompA</a></div><div class="ttdeci">void kmTimer4EnableInterruptCompA(void)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a8e8fc2551c6a96f660fb5ccd94e3a9cb"><div class="ttname"><a href="km_timer4_8h.html#a8e8fc2551c6a96f660fb5ccd94e3a9cb">kmTimer4SetValueCompA</a></div><div class="ttdeci">void kmTimer4SetValueCompA(uint16_t value)</div><div class="ttdoc">Sets the value for Timer/Counter 4 Compare A.</div></div>
<div class="ttc" id="akm_timer4_8h_html_a9044116bb21e91d66bddd602cc3c7d9b"><div class="ttname"><a href="km_timer4_8h.html#a9044116bb21e91d66bddd602cc3c7d9b">kmTimer4CalcDutyOnCycles</a></div><div class="ttdeci">uint16_t kmTimer4CalcDutyOnCycles(uint16_t duty, uint16_t cyclesRange)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a94bafd8412a4ef21ea1342ce676ca384"><div class="ttname"><a href="km_timer4_8h.html#a94bafd8412a4ef21ea1342ce676ca384">kmTimer4RegisterCallbackOVF</a></div><div class="ttdeci">void kmTimer4RegisterCallbackOVF(void *userData, kmTimer4CallbackType *callback)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a98a5f1076cbd17f38999aef18badfef3"><div class="ttname"><a href="km_timer4_8h.html#a98a5f1076cbd17f38999aef18badfef3">kmTimer4EnableInterruptOVF</a></div><div class="ttdeci">void kmTimer4EnableInterruptOVF(void)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a9916920251f149df9f426768c62cdc66"><div class="ttname"><a href="km_timer4_8h.html#a9916920251f149df9f426768c62cdc66">kmTimer4SetCallbackUserDataCompA</a></div><div class="ttdeci">void kmTimer4SetCallbackUserDataCompA(void *userData)</div></div>
<div class="ttc" id="akm_timer4_8h_html_a9b36899cf482b9fe21b22bef0804ba59"><div class="ttname"><a href="km_timer4_8h.html#a9b36899cf482b9fe21b22bef0804ba59">kmTimer4InitOnAccurateTimeCompABInterruptCallback</a></div><div class="ttdeci">void kmTimer4InitOnAccurateTimeCompABInterruptCallback(const uint32_t microseconds, uint16_t phaseIntB)</div></div>
<div class="ttc" id="akm_timer4_8h_html_aa1d1e30f30755989866792d2bb978058"><div class="ttname"><a href="km_timer4_8h.html#aa1d1e30f30755989866792d2bb978058">kmTimer4InitOnAccurateTimePcPwm</a></div><div class="ttdeci">uint16_t kmTimer4InitOnAccurateTimePcPwm(const uint32_t microseconds, const uint16_t dutyA, const bool invertedA, const uint16_t dutyB, const bool invertedB, const uint16_t dutyC, const bool invertedC)</div></div>
<div class="ttc" id="akm_timer4_8h_html_aa6e787e3dea96c6be57a3c5dfa3062e0"><div class="ttname"><a href="km_timer4_8h.html#aa6e787e3dea96c6be57a3c5dfa3062e0">kmTimer4DisableInterruptCompC</a></div><div class="ttdeci">void kmTimer4DisableInterruptCompC(void)</div></div>
<div class="ttc" id="akm_timer4_8h_html_ab301d7a6d0dbafc9bc419531a33882e4"><div class="ttname"><a href="km_timer4_8h.html#ab301d7a6d0dbafc9bc419531a33882e4">kmTimer4EnableInterruptCompB</a></div><div class="ttdeci">void kmTimer4EnableInterruptCompB(void)</div></div>
<div class="ttc" id="akm_timer4_8h_html_ab33ddfaa6fd8df2260b5487b40a8c1c0"><div class="ttname"><a href="km_timer4_8h.html#ab33ddfaa6fd8df2260b5487b40a8c1c0">kmTimer4InitOnPrescalerBottomToTopFastPwm</a></div><div class="ttdeci">void kmTimer4InitOnPrescalerBottomToTopFastPwm(const uint8_t prescaler, const uint16_t dutyA, const bool invertedA, const uint16_t dutyB, const bool invertedB, const uint16_t dutyC, const bool invertedC)</div></div>
<div class="ttc" id="akm_timer4_8h_html_ab686f9e988073d097bdf6bfb9f142e40"><div class="ttname"><a href="km_timer4_8h.html#ab686f9e988073d097bdf6bfb9f142e40">kmTimer4UnregisterCallbackCompB</a></div><div class="ttdeci">void kmTimer4UnregisterCallbackCompB(void)</div></div>
<div class="ttc" id="akm_timer4_8h_html_ab8498241febbd89502a935247f67150d"><div class="ttname"><a href="km_timer4_8h.html#ab8498241febbd89502a935247f67150d">kmTimer4RegisterCallbackCompB</a></div><div class="ttdeci">void kmTimer4RegisterCallbackCompB(void *userData, kmTimer4CallbackType *callback)</div></div>
<div class="ttc" id="akm_timer4_8h_html_ab8697b2db0329462446e946906c21eb3"><div class="ttname"><a href="km_timer4_8h.html#ab8697b2db0329462446e946906c21eb3">kmTimer4RegisterCallbackCompA</a></div><div class="ttdeci">void kmTimer4RegisterCallbackCompA(void *userData, kmTimer4CallbackType *callback)</div></div>
<div class="ttc" id="akm_timer4_8h_html_abd6f5ec0caf8ec382af55cc98bb5258d"><div class="ttname"><a href="km_timer4_8h.html#abd6f5ec0caf8ec382af55cc98bb5258d">kmTimer4Stop</a></div><div class="ttdeci">void kmTimer4Stop(void)</div><div class="ttdoc">Stops Timer 4.</div></div>
<div class="ttc" id="akm_timer4_8h_html_ac3313368bc1868febafe1fe9e006c75d"><div class="ttname"><a href="km_timer4_8h.html#ac3313368bc1868febafe1fe9e006c75d">kmTimer4UnregisterCallbackCompA</a></div><div class="ttdeci">void kmTimer4UnregisterCallbackCompA(void)</div></div>
<div class="ttc" id="akm_timer4_8h_html_ac37f28ed40c28cd67ee24a98d8d790de"><div class="ttname"><a href="km_timer4_8h.html#ac37f28ed40c28cd67ee24a98d8d790de">kmTimer4SetCallbackUserDataCompB</a></div><div class="ttdeci">void kmTimer4SetCallbackUserDataCompB(void *userData)</div></div>
<div class="ttc" id="akm_timer4_8h_html_acac9dc0d63ba80ccf47bb3ed4a0e5c01"><div class="ttname"><a href="km_timer4_8h.html#acac9dc0d63ba80ccf47bb3ed4a0e5c01">kmTimer4CallbackType</a></div><div class="ttdeci">void kmTimer4CallbackType(void *)</div><div class="ttdef"><b>Definition</b> kmTimer4.h:62</div></div>
<div class="ttc" id="akm_timer4_8h_html_ad0e5ac961deaee4f85ea9df807f5fa5d"><div class="ttname"><a href="km_timer4_8h.html#ad0e5ac961deaee4f85ea9df807f5fa5d">kmTimer4Restart</a></div><div class="ttdeci">void kmTimer4Restart(void)</div><div class="ttdoc">Restarts Timer 4 by resetting its counter value to zero.</div></div>
<div class="ttc" id="akm_timer4_8h_html_ad15770cb857652c1f4c2421ec1459fdc"><div class="ttname"><a href="km_timer4_8h.html#ad15770cb857652c1f4c2421ec1459fdc">kmTimer4GetValueCompA</a></div><div class="ttdeci">uint16_t kmTimer4GetValueCompA(void)</div><div class="ttdoc">Retrieves the current value of Timer/Counter 4 Compare A.</div></div>
<div class="ttc" id="akm_timer4_8h_html_ad4e6dc91d904ada382344b77f1894252"><div class="ttname"><a href="km_timer4_8h.html#ad4e6dc91d904ada382344b77f1894252">kmTimer4EnableInterruptInpCapture</a></div><div class="ttdeci">void kmTimer4EnableInterruptInpCapture(void)</div><div class="ttdoc">Enables Timer/Counter 4 Input Capture Interrupt.</div></div>
<div class="ttc" id="akm_timer4_8h_html_ad665f114cad7ae24a64bf9b231091be2"><div class="ttname"><a href="km_timer4_8h.html#ad665f114cad7ae24a64bf9b231091be2">kmTimer4EnableInterruptCompC</a></div><div class="ttdeci">void kmTimer4EnableInterruptCompC(void)</div></div>
<div class="ttc" id="akm_timer4_8h_html_ad978af6b0d4fa8f9785626c567f1fb88"><div class="ttname"><a href="km_timer4_8h.html#ad978af6b0d4fa8f9785626c567f1fb88">kmTimer4CalcPerdiodWithMinPwmAccuracy</a></div><div class="ttdeci">uint16_t kmTimer4CalcPerdiodWithMinPwmAccuracy(const uint32_t microseconds, uint8_t *prescaler, const uint16_t minimumCycleAcuracy)</div></div>
<div class="ttc" id="akm_timer4_8h_html_ae9f11519d59b700216c6aaff3f3ecdaf"><div class="ttname"><a href="km_timer4_8h.html#ae9f11519d59b700216c6aaff3f3ecdaf">kmTimer4InitOnAccurateTimeFastPwm</a></div><div class="ttdeci">uint16_t kmTimer4InitOnAccurateTimeFastPwm(const uint32_t microseconds, const uint16_t dutyA, const bool invertedA, const uint16_t dutyB, const bool invertedB, const uint16_t dutyC, const bool invertedC)</div></div>
<div class="ttc" id="akm_timer4_8h_html_af626cb9614fe90b07358b017e54e8032"><div class="ttname"><a href="km_timer4_8h.html#af626cb9614fe90b07358b017e54e8032">kmTimer4UnregisterCallbackOVF</a></div><div class="ttdeci">void kmTimer4UnregisterCallbackOVF(void)</div></div>
<div class="ttc" id="akm_timer4_8h_html_af95e0e28476022b1a3bdec4d980c2b2a"><div class="ttname"><a href="km_timer4_8h.html#af95e0e28476022b1a3bdec4d980c2b2a">kmTimer4DisableInterruptCompB</a></div><div class="ttdeci">void kmTimer4DisableInterruptCompB(void)</div></div>
<div class="ttc" id="akm_timer4_8h_html_afb8b2a912203fc8b0ff2cd0d2098c664"><div class="ttname"><a href="km_timer4_8h.html#afb8b2a912203fc8b0ff2cd0d2098c664">kmTimer4InitExternal</a></div><div class="ttdeci">void kmTimer4InitExternal(bool falling)</div></div>
<div class="ttc" id="akm_timer4_8h_html_afe5532f92f52fff6025f33f5ad5717e1"><div class="ttname"><a href="km_timer4_8h.html#afe5532f92f52fff6025f33f5ad5717e1">kmTimer4InpCaptureCallbackType</a></div><div class="ttdeci">void kmTimer4InpCaptureCallbackType(const uint16_t, const bool, const void *)</div><div class="ttdoc">Callback type for Timer 4 input capture events.</div><div class="ttdef"><b>Definition</b> kmTimer4.h:77</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer4_8h.html">kmTimer4.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
